# EditorCriterionBLikeness (ARX GUI Documentation)

org.deidentifier.arx.gui.view.impl.menu

## Class EditorCriterionBLikeness

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.menu.EditorCriterion<ModelBLikenessCriterion>
  - - org.deidentifier.arx.gui.view.impl.menu.EditorCriterionBLikeness

-     public class EditorCriterionBLikeness
      extends EditorCriterion<ModelBLikenessCriterion>

  Implements a view on a b-likeness privacy model

- - ### Field Summary

    - ### Fields inherited from class org.deidentifier.arx.gui.view.impl.menu.EditorCriterion

      `model`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EditorCriterionBLikeness(org.eclipse.swt.widgets.Composite parent, ModelBLikenessCriterion model)` Creates a new instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.eclipse.swt.widgets.Composite` | `build(org.eclipse.swt.widgets.Composite parent)` Build the composite
    `protected java.util.List<ModelCriterion>` | `getTypicalParameters()` Returns a set of typical parameters
    `protected void` | `parse(ModelBLikenessCriterion model, boolean _default)` Parse

    - ### Methods inherited from class org.deidentifier.arx.gui.view.impl.menu.EditorCriterion

      `createKnobDouble, createKnobInteger, createLabel, dispose, getModel, parse, parseDefault, updateLabel, updateLabel, updateLabel`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EditorCriterionBLikeness

          public EditorCriterionBLikeness(org.eclipse.swt.widgets.Composite parent,
                                  ModelBLikenessCriterion model)

      Creates a new instance.
      Parameters:
        `parent` -
        `model` -

  - ### Method Detail

    - #### build

          protected org.eclipse.swt.widgets.Composite build(org.eclipse.swt.widgets.Composite parent)

      Description copied from class: `EditorCriterion`
      Build the composite
      Specified by:
        `build` in class `EditorCriterion<ModelBLikenessCriterion>`

    - #### getTypicalParameters

          protected java.util.List<ModelCriterion> getTypicalParameters()

      Description copied from class: `EditorCriterion`
      Returns a set of typical parameters
      Specified by:
        `getTypicalParameters` in class `EditorCriterion<ModelBLikenessCriterion>`
      Returns:

    - #### parse

          protected void parse(ModelBLikenessCriterion model,
                   boolean _default)

      Description copied from class: `EditorCriterion`
      Parse
      Specified by:
        `parse` in class `EditorCriterion<ModelBLikenessCriterion>`